# Payments Payments ## Returns the default payment template - [GET /payments/defaultTemplate/paymentReceipt](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getdefaultpaymentreceipttemplate.md): Returns the default payment template ## Returns the default payment template - [GET /payments/defaultTemplateAndEmail/payment](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getdefaultpaymenttemplateandemail.md): Returns the default payment template ## Initiates workflow to warm up inventory transactions - [POST /payments/warmUpStepFunctions](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/warmupstepfunctions.md) ## Processes a payment - [POST /payments/{tenantId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpayment.md): This method will auto-generate an ID and create a new payment. If an ID is specified for the payment, an error will be thrown. ## Execute Batch Operations - [POST /payments/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified batch_id - [GET /payments/{tenantId}/batch/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbybatchid.md): Returns a list of records with the specified batch_id ## Returns a list of records with the specified contact_id - [GET /payments/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbycontactid.md): Returns a list of records with the specified contact_id ## Emails an HTML version of the payment - [POST /payments/{tenantId}/email/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/emailpayment.md): Send an email of the payment ## Returns a list of records with the specified order_id - [GET /payments/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyorderid.md): Returns a list of records with the specified order_id ## Returns a list of records with the specified organization_id - [GET /payments/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyorganizationid.md): Returns a list of records with the specified organization_id ## Returns a list of records with the specified owner - [GET /payments/{tenantId}/owner/{ownerType}/{ownerId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsbyowner.md): Returns a list of records with the specified owner ## Gets all of the payments in the system for a given contact. - [GET /payments/{tenantId}/portal/contact/{portalContactId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsforportal.md): This method will scan all payments and and return them to the caller for a given contact. ## Returns a payment from the system by its ID for a given contact. - [GET /payments/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpaymentforportal.md): This method will look up a payment by the specified ID and return it back (for a portal contact) ## Gets all of the payments in the system for a given organization. - [GET /payments/{tenantId}/portal/organization/{portalOrganizationId}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/listpaymentsforportalbyorganization.md): This method will scan all payments and and return them to the caller for a given organization. ## Returns a payment from the system by its ID for a given organization. - [GET /payments/{tenantId}/portal/organization/{portalOrganizationId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpaymentforportal.md): This method will look up a payment by the specified ID and return it back (for a portal organization) ## Sends out a preview of the CRC notification email - [POST /payments/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/previewemail.md): Sends out a preview of the CRC notification email ## Sends out a preview of the notification template - [POST /payments/{tenantId}/previewTemplate](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/previewtemplate.md): Sends out a preview of the notification template ## Generates a PDF and returns the public link for download - [GET /payments/{tenantId}/print/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/downloadpdf.md): Generates a PDF and returns the public link for download ## Processes a public payment - [POST /payments/{tenantId}/public](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpublicpayment.md): Allows for publicly payable invoices by taking a payment and processing it anonymously ## Processes a public payment - [POST /payments/{tenantId}/public/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpublicpaymentsync.md): Allows for publicly payable invoices by taking a payment and processing it anonymously ## Generates a PDF and returns the public link for download - [GET /payments/{tenantId}/renderEmail/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/renderpaymentemail.md): Generates a PDF and returns the public link for download ## Searches for payments using predefined parameters - [POST /payments/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/searchforpayments.md): Searches for payments using predefined parameters ## This is a synchronous processing and should be used exclusively. The old way (via step function) is deprecated. - [POST /payments/{tenantId}/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/processpaymentsync.md): Processes an payment ## Returns a payment from the system by its ID. - [DELETE /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/deletepayment.md): This method will delete a payment with the specified ID. ## Returns a payment from the system by its ID. - [GET /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/getpayment.md): This method will look up a payment by the specified ID and return it back. ## Partially updates a payment with the specified ID. - [PATCH /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/patchpayment.md): This method will patch an existing payment with the specified ID, using the HTTP PATCH specification. ## Updates a payment with the specified ID. - [PUT /payments/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/updatepayment.md): This method will update an existing payment with the specified ID. ## Initiates a payment reversal - [PUT /payments/{tenantId}/{id}/reverse/sync/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/reversepaymentsync.md): This method will start a reversal payment process ## Initiates a payment reversal - [PUT /payments/{tenantId}/{id}/reverse/{batch_id}](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/reversepayment.md): This method will start a reversal payment process ## Initiates a payment void - [PUT /payments/{tenantId}/{id}/void](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/voidpayment.md): This method will start a void payment process ## Initiates a payment void - [PUT /payments/{tenantId}/{id}/void/sync](https://docs.api.rhythmsoftware.com/apis/collect/collect-v1/payments/voidpaymentsync.md): This method will start a void payment process